Bug 163941 - Show and assign Tags while Slideshow
Summary: Show and assign Tags while Slideshow
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Generic-SlideShow (show other bugs)
Version: 4.2.0
Platform: unspecified Linux
: NOR wishlist with 10 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-13 07:05 UTC by Ferdinand Gassauer
Modified: 2014-09-17 12:50 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.4.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ferdinand Gassauer 2008-06-13 07:05:13 UTC
Version:           0.9.3 (using 3.5.9 "release 62.1" , openSUSE )
Compiler:          Target: x86_64-suse-linux
OS:                Linux (x86_64) release 2.6.22.17-0.1-default

please add an option to the slide show settings
*display image tags y/n
Comment 1 Ferdinand Gassauer 2008-09-30 08:14:23 UTC
pls also for HMTL export
Comment 2 darek 2012-05-27 09:55:08 UTC
Vote!
It would be really nice to see some pictures' descriptions in presentation mode.
Comment 3 caulier.gilles 2014-08-29 23:13:19 UTC
Still valid with digiKam 4.2.0.

Gilles Caulier
Comment 4 caulier.gilles 2014-09-16 21:26:10 UTC
Git commit 8217640cc8bb2cbc2b9f100942f2517f4170bd82 by Gilles Caulier.
Committed on 16/09/2014 at 21:25.
Pushed by cgilles into branch 'master'.

new option to pring tag names list while slideshow

M  +12   -8    app/utils/slideshowbuilder.cpp
M  +10   -1    utilities/setup/setupslideshow.cpp
M  +1    -1    utilities/setup/setupslideshow.h
M  +15   -0    utilities/slideshow/slideshow.cpp
M  +16   -13   utilities/slideshow/slideshowsettings.cpp
M  +19   -13   utilities/slideshow/slideshowsettings.h

http://commits.kde.org/digikam/8217640cc8bb2cbc2b9f100942f2517f4170bd82
Comment 5 caulier.gilles 2014-09-17 12:50:45 UTC
Git commit 7a84fb8f9a7f12c022c94a2224d69e71744d5f55 by Gilles Caulier.
Committed on 17/09/2014 at 12:48.
Pushed by cgilles into branch 'master'.

Slideshow now handle Tags keyboard shortcuts, like Labels
There is no GUI way to edit tags without to bloat slide screen. So keyboard shortcuts are best way to change tags while slideshow.
FIXED-IN: 4.4.0

M  +3    -2    NEWS
M  +21   -5    app/tags/tagsactionmngr.cpp
M  +3    -0    app/tags/tagsactionmngr.h
M  +23   -19   app/views/digikamview.cpp
M  +2    -1    app/views/digikamview.h
M  +1    -1    showfoto/main/showfoto.cpp
M  +6    -26   utilities/imageeditor/main/imagewindow.cpp
M  +1    -0    utilities/lighttable/lighttablethumbbar.cpp
M  +1    -1    utilities/lighttable/lighttablewindow.cpp
M  +63   -18   utilities/slideshow/slideshow.cpp
M  +7    -1    utilities/slideshow/slideshow.h

http://commits.kde.org/digikam/7a84fb8f9a7f12c022c94a2224d69e71744d5f55